=== ldap/src/Makefile ===
#
#
#

ifndef PWLIBDIR
PWLIBDIR=$(HOME)/pwlib
endif

LDAP_SRCDIR = .
LDAP_INCLUDEDIR = ../include


include $(PWLIBDIR)/make/unix.mak

LDAPAPI_BASE = ldapapi_$(PLATFORM_TYPE)_$(OBJ_SUFFIX)
LDAPAPI_FILE = lib$(LDAPAPI_BASE).$(LIB_SUFFIX)
LIB_BASENAME=$(LDAPAPI_FILE)
LIB_FILENAME=$(LDAPAPI_FILE)

LDAP_LIBDIR = ../lib
OBJDIR = $(LDAP_LIBDIR)/$(PT_OBJBASE)
DEPDIR = $(OBJDIR)
TARGET = $(LDAP_LIBDIR)/$(LDAPAPI_FILE)


COMMON_SOURCES =	$(LDAP_SRCDIR)/delete.cxx      				$(LDAP_SRCDIR)/modify.cxx \
	         	$(LDAP_SRCDIR)/LDAP_SBindRequest_authentication.cxx  	$(LDAP_SRCDIR)/free.cxx \
			$(LDAP_SRCDIR)/getattr.cxx 				$(LDAP_SRCDIR)/messages.cxx \
			$(LDAP_SRCDIR)/LDAP_SFilter.cxx                      	$(LDAP_SRCDIR)/getdn.cxx \
			$(LDAP_SRCDIR)/options.cxx				$(LDAP_SRCDIR)/compare.cxx \
			$(LDAP_SRCDIR)/getresults.cxx  				$(LDAP_SRCDIR)/parse.cxx \
			$(LDAP_SRCDIR)/init.cxx        				$(LDAP_SRCDIR)/result.cxx \
			$(LDAP_SRCDIR)/abandon.cxx                           	$(LDAP_SRCDIR)/bind.cxx \
			$(LDAP_SRCDIR)/search.cxx				$(LDAP_SRCDIR)/add.cxx 

HEADER_FILES =      	$(LDAP_INCLUDEDIR)/ber.h 				$(LDAP_INCLUDEDIR)/ldap_cdefs.h \
			$(LDAP_INCLUDEDIR)/ldapapi.h				$(LDAP_SRCDIR)/LDAP_SBindRequest_authentication.h \
			$(LDAP_SRCDIR)/LDAP_SFilter.h				$(LDAP_SRCDIR)/ldap-int.h \


SOURCES = $(COMMON_SOURCES)

include $(PWLIBDIR)/make/unix.mak
include $(PWLIBDIR)/make/ptlib.mak
include $(PWLIBDIR)/make/lib.mak

STDCCFLAGS += -I../include -I. -I$(OPENH323DIR)/include


#all :: bothdepend both

%.a: $(OBJS)
	ar -rv $(TARGET) $(OBJS)
	ranlib $(TARGET)

%.so: $(OBJS)
	g++ -o $(TARGET) -shared $(OBJS)
