## openh323gk 2.0.7.1

=== debian/changelog ===
openh323gk (1:2.0.7.1) unstable; urgency=medium

  * Dummy Package so that gnugk replaces openh323gk

 -- Mark Purcell <msp@debian.org>  Tue, 13 Apr 2004 07:54:17 +1000

openh323gk (1:2.0.7-1) unstable; urgency=low

  * New upstream release
  * Bring openh323gk upto the upstream stable release before Debian package
    changes name to gnugk, fix RC bugs.
  * Build-Depends: help2man (Closes: Bug#214461, Bug#231575)
  * Build-Conflicts: linux-kernel-headers (<< 2.5.999-test7-bk-14)
  * Build-Depends: linuxdoc-tools enables `make doc` target
  * Closes: #198046: Mysql support in openh323gk. Patch from Erwam MAS

 -- Mark Purcell <msp@debian.org>  Tue, 16 Mar 2004 23:18:35 +1100

openh323gk (1:2.0.6-2) unstable; urgency=low

  * LCA2004 release - Thanks Internode for the wireless access to upload!!
  * Enable RADIUS and plain text file accounting modules (Closes: Bug#223378)
  * Re-use version checking in gk_const.h
  * Build simple man pages using help2man
  * Remove obsolete README.Debian

 -- Mark Purcell <msp@debian.org>  Mon, 12 Jan 2004 19:07:35 +1100

openh323gk (1:2.0.6-1) unstable; urgency=low

  * New upstream release
  * Build-Depends: libldap2-dev | libldap-dev (Closes: Bug#200226)
  * Rebuild for libopenh323-dev (Closes: Bug#211971)

 -- Mark Purcell <msp@debian.org>  Mon, 29 Sep 2003 21:36:39 +1000

openh323gk (1:2.0.5-2) unstable; urgency=low

  * Build-Depends: libsdl1.2-dev | libsdl-dev. Thanks Tomas Martisius
  * Build-Depends: libldap2-dev | libldap-dev (Closes: Bug#200226)
  * Rebuild for libopenh323-dev (Closes: Bug#211971)

 -- Mark Purcell <msp@debian.org>  Mon, 22 Sep 2003 21:10:34 +1000

openh323gk (1:2.0.5-1) unstable; urgency=low

  * New upstream release
  * Addpasswd patch from Torsten Knodt (Closes: Bug#198303)

 -- Mark Purcell <msp@debian.org>  Mon, 30 Jun 2003 22:32:13 +1000

openh323gk (1:2.0.4-2) unstable; urgency=low

  * Addpasswd patch from Torsten Knodt (Closes: Bug#198303)

 -- Mark Purcell <msp@debian.org>  Mon, 30 Jun 2003 22:29:37 +1000

openh323gk (1:2.0.4-1) unstable; urgency=low

  * New upstream release
  * Dont use dh_undocumented

 -- Mark Purcell <msp@debian.org>  Thu, 26 Jun 2003 22:22:12 +1000

openh323gk (1:2.0.3-2) unstable; urgency=low

  * Force libspeex1 dependancy (Closes: Bug#186903) dpkg-shlibdeps bug?
  * Include Build-Depends: libspeex-dev (libopenh323-dev bug?)

 -- Mark Purcell <msp@debian.org>  Sat,  5 Apr 2003 18:52:27 +1000

openh323gk (1:2.0.3-1) unstable; urgency=low

  * New upstream release
  * Rebuild for libopenh323-dev (1.11.7-3) (Closes: Bug#186462)
  * Hack gk_const.h to always force NEWVERSION. gk_const.h rules are
    wrong (what happens at 12.0.0?) and version.h not currently included
    in Debian

 -- Mark Purcell <msp@debian.org>  Sun, 30 Mar 2003 13:30:56 +1000

openh323gk (1:2.0.2-3) unstable; urgency=low

  * Rebuild for libopenh323-dev (1.11.6)
  * Rebuild for libopenh323-dev (1.11.7) 

 -- Mark Purcell <msp@debian.org>  Sun, 16 Mar 2003 14:16:51 +1100

openh323gk (1:2.0.2-2) unstable; urgency=low

  * Rebuild for libopenh323-dev (1.11.4)
  * Remove Build-Depends: libdc1394-dev
  * Rebuild for g++ (3.2)

 -- Mark Purcell <msp@debian.org>  Tue,  4 Feb 2003 21:14:44 +1100

openh323gk (1:2.0.2-1) unstable; urgency=low

  * New upstream release

 -- Mark Purcell <msp@debian.org>  Sun,  8 Dec 2002 18:53:37 +1100

openh323gk (1:2.0a-3) unstable; urgency=low

  * Rebuild for libopenh323-dev-1.9.10
  * Include Build-Depend: libdc1394-dev (needed for openh323-dev)

 -- Mark Purcell <msp@debian.org>  Sat, 26 Oct 2002 15:39:33 +1000

openh323gk (1:2.0a-2) unstable; urgency=low

  * Include docs/old/comparision.txt (Closes: Bug#156688)
  * Enable init.d reload - v2.0 support HUP (Closes: Bug#146149)
  * lintian fixup spelling
  * Include gcc 3.x cleanup from CVS in gkauth.cxx

 -- Mark Purcell <msp@debian.org>  Sun,  6 Oct 2002 22:53:47 +1000

openh323gk (1:2.0a-1) unstable; urgency=low

  * New upstream release
  * Update description 

 -- Mark Purcell <msp@debian.org>  Sun,  4 Aug 2002 20:37:03 +1000

openh323gk (2.0b9-2) unstable; urgency=low

  * Updated build for libopenh323-dev-1.9.3-1 

 -- Mark Purcell <msp@debian.org>  Wed, 17 Jul 2002 22:21:26 +1000

openh323gk (2.0b9-1) unstable; urgency=low

  * New upstream release

 -- Mark Purcell <msp@debian.org>  Sat, 29 Jun 2002 00:19:19 +1000

openh323gk (2.0b6-2) unstable; urgency=low

  * Change from Section: non-us/main to comm

 -- Mark Purcell <msp@debian.org>  Sun,  2 Jun 2002 00:31:28 +1000

openh323gk (2.0b6-1) unstable; urgency=low

  * New upstream release
  * Run as chuid gnugk (Closes: Bug#140503)
  * Cleanup old symlinks in /etc
  * readme.txt allows linking against OpenSSL & OpenH323 (Closes: Bug#142980)
  * Build-Depends: libopenh323-1.8.4 (Closes: Bug#147272)

 -- Mark Purcell <msp@debian.org>  Wed, 22 May 2002 23:55:51 +1000

openh323gk (2.0b4-2) unstable; urgency=low

  * Build for new libopenh323-1.8.4
  * Run as chuid openh323gk (Closes: Bug#140503)

 -- Mark Purcell <msp@debian.org>  Mon, 15 Apr 2002 20:35:47 +1000

openh323gk (2.0b4-1) unstable; urgency=low

  * New upstream release

 -- Mark Purcell <msp@debian.org>  Sat, 23 Mar 2002 23:33:50 +1100

openh323gk (2.0b2-2) unstable; urgency=low

  * Revert to using start-stop-daemon in /etc/init.d/openh323gk.
    (Closes: Bug#136827)

 -- Mark Purcell <msp@debian.org>  Mon, 18 Mar 2002 21:31:08 +1100

openh323gk (2.0b2-1) unstable; urgency=low

  * New upstream release

 -- Mark Purcell <msp@debian.org>  Mon, 18 Feb 2002 14:29:18 +1100

openh323gk (1.2-3) unstable; urgency=low

  * Disable mysql support to enable build from source (Closes: Bug#122562) 

 -- Mark Purcell <msp@debian.org>  Sat,  8 Dec 2001 10:19:53 +1100

openh323gk (1.2-2) unstable; urgency=low

  * Upgrade to Build-Depends: libopenh323-dev

 -- Mark Purcell <msp@debian.org>  Mon, 26 Nov 2001 20:58:03 +1100

openh323gk (1.2-1) unstable; urgency=low

  * Initial Release. (Closes: Bug#105421)


