=== debian/control ===
Source: openh323gk
Section: comm
Priority: optional
Maintainer: Mark Purcell <msp@debian.org>
Standards-Version: 3.5.2

Package: openh323gk
Architecture: all
Conflicts: opengate
Depends: gnugk
Description: Legacy package for openh323gk that you should remove
 This package exists to smooth the transition from openh323gk to 
 the renamed gnugk package. It can be safely removed.
