=== debian/watch ===
version=2
# Example watch control file for uscan
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# Site		Directory		Pattern			Version	Script
#sunsite.unc.edu	/pub/Linux/Incoming	openh323gk-(.*)\.tar\.gz	debian	uupdate
http://aleron.dl.sourceforge.net/sourceforge/openh323gk/gnugk-(2.0..)\.tgz debian uupdate
#http://flow.dl.sourceforge.net/sourceforge/openh323gk/gnugk-(2.0..)\.tgz debian uupdate
